Create Custom Profile

Create Custom Profile
Create a new custom profile definition

Example: GET /api/alerts/{id}

Request
URI
POST
https://{api_host}/suite-api/api/resources/profiles
COPY
Request Body

The custom profile definition

custom-profile of type(s) application/json
Required  

Show optional properties

{
    "custom-profile-metrics": [
        {
            "metric": "string",
            "unit": "string",
            "value": "number"
        }
    ],
    "name": "string",
    "objectType": {
        "adapterKind": "string",
        "resourceKind": "string"
    }
}
"{\n  \"name\" : \"Sample Custom Profile\",\n  \"description\" : \"Description of Custom Profile\",\n  \"objectType\" : {\n    \"adapterKind\" : \"VMWARE\",\n    \"resourceKind\" : \"VirtualMachine\"\n  },\n  \"custom-profile-metrics\" : [ {\n    \"metric\" : \"cpu\",\n    \"value\" : 99.99,\n    \"unit\" : \"mhz\"\n  }, {\n    \"metric\" : \"mem-alloc\",\n    \"value\" : 77.77,\n    \"unit\" : \"kb\"\n  } ]\n}"
array of object
custom-profile-metrics
Required  

Collection of profile metrics

string
description
Optional

The description of custom profile

string As uuid As uuid
id
Optional

The identifier of custom profile

string
name
Required  

The name of custom profile

object
objectType
Required  

Consumer of custom profile

Authentication
This operation uses the following authentication methods.
Responses
201

The newly created custom profile

Returns custom-profile of type(s) application/json
"No Custom Example is Available"
array of object
custom-profile-metrics
Required  

Collection of profile metrics

string
description
Optional

The description of custom profile

string As uuid As uuid
id
Optional

The identifier of custom profile

string
name
Required  

The name of custom profile

object
objectType
Required  

Consumer of custom profile


404

No Alert with the specified identifier is found

Operation doesn't return any data structure

500

Error occurred while retrieving the Alert with the specified identifier

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"custom-profile-metrics":["object"],"name":"string","objectType":"object"}' https://{api_host}/suite-api/api/resources/profiles